Reattach global account deleted by mistake
Closed, ResolvedPublic

Description

https://meta.wikimedia.org/w/index.php?title=Special:CentralAuth&target=Zlazstadpieroniebomiurwieszkabelodinternetu

Another global account just deleted in error. Please re-unify so we can globally lock. A maintenance script in rECAU (attachAccount.php) can be used IIRC.

Regards.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2017, 6:57 PM

The script can attach account, but needs a CentralAuth account for that:

extensions/CentralAuth/maintenance/attachAccount.php
		if ( !$central->exists() ) {
			$this->missing++;
			$this->output( "ERROR: No CA account found for: {$username}\n" );
			return;
		}
Dereckson closed this task as "Resolved".Jan 19 2017, 5:45 PM
Dereckson claimed this task.

I migrated the account from local account to SUL, then reattached:

Terbium
$ mwscript extensions/CentralAuth/maintenance/migrateAccount.php --wiki=aawiki --username=Zlazstadpieroniebomiurwieszkabelodinternetu --attachmissing=true --homewiki=plwiki
CentralAuth account migration for: Zlazstadpieroniebomiurwieszkabelodinternetu
INFO: Setting homewiki for 'Zlazstadpieroniebomiurwieszkabelodinternetu' to plwiki
INFO: Incomplete migration for 'Zlazstadpieroniebomiurwieszkabelodinternetu'
2017-01-19 17:41:32 processed 1 usernames (1.2/sec), 0 (0.0%) fully migrated, 1 (100.0%) partially migrated
done.

$ cat > toAttach
Zlazstadpieroniebomiurwieszkabelodinternetu
$ mwscript extensions/CentralAuth/maintenance/attachAccount.php --wiki=aawiki --userlist toAttach
CentralAuth account attach for: Zlazstadpieroniebomiurwieszkabelodinternetu
ATTACHING: Zlazstadpieroniebomiurwieszkabelodinternetu@loginwiki
ATTACHING: Zlazstadpieroniebomiurwieszkabelodinternetu@mediawikiwiki
ATTACHING: Zlazstadpieroniebomiurwieszkabelodinternetu@metawiki
[2017-01-19 17:42:03] processed: 1 (3.0/sec); ok: 0 (0.0%); attached: 1 (100.0%); partial: 0 (0.0%); failed: 0 (0.0%); missing: 0 (0.0%);
done.

According https://meta.wikimedia.org/w/index.php?title=Special%3ACentralAuth&target=Zlazstadpieroniebomiurwieszkabelodinternetu all looks good.

Mentioned in SAL (#wikimedia-operations) [2017-01-19T17:47:10Z] <Dereckson> Reattach Zlazstadpieroniebomiurwieszkabelodinternetu CentralAuth account (T155184)

MarcoAurelio added a comment.EditedJan 20 2017, 9:56 AM

Locked. Thanks for it and for the documentation. Shall we add it somewhere in Wikitech for future cases?